{% extends 'mainBase.html' %}

{% block head %}

      <script>
      		$( document ).ready(function(){
      			$(".button-collapse").sideNav();
      		});
      </script>
      {% endblock %}

{% block body %}

<body style="background-color: #eceff1">
	{% include 'navbar.html' %}

	
	<main>
		<center>
			<img src="/static/images/Progress-bar-3.png" class="responsive-img progress_bar">
			<div class="row">
					<div class="col s12 m4 l4">
						<div class="address_col">
							<span class="valign-wrapper" style="padding-left: 35%"><button class="address_select" data-catid="{{address.pk}}"><img src="/static/icons/select1.png" class="responsive-img"></button>&nbsp;&nbsp;Subscription Plan</span>
							<br>
							<span>{{plan.name}}</span>
							<br>
							<span>Duration{{plan.duration}}</span>
							<br>
							<span>Maximum Books Per Delivery:{{plan.books}}</span>
						</div>
					</div>
				</div>
				<div class="row order_item">
					<div class="col m1 l1 hide-on-small-only">
						<span class="s_no right f400">1</span>
					</div>
					<div class="col s4 m2 l2 center push-s8">
						<img src="images/book.png" class="responsive-img bookcover_border z-depth-4 bookcover_order">
						<div class="show-on-small-only hide-on-med-and-up">
							<span class="strikethrough f500">$5.00</span>
							<br>
							<span class="discount_price f500">$2.60</span>
						</div>
					</div>
					<div class="col s8 m7 l7 pull-s4">
						<span class="book_title f400">Total Amount: {{amount}}</span>
						<br>
<select class="form-control col-md-4 col-xs-6 col-sm-4 " name="paymentOption" id="paymentOption" onchange="" size="1" style=" display: inherit;">
                                        <option value="COD">Cash On Delivery</option>
                                 <option value="Online">Online Payment (Netbanking, Debit Cards etc)</option> 
                                    </select>						<br>
						<img src="images/3star.png" class="responsive-img" style="height: 20px">
						<br>
						<span class="f500 rent_order">Rent:<span>9 days</span></span>
					</div>
					  <button id='sendOtpBtn' type="button" class="btn btn-info modal-button" onclick='verifyOtp();' style="">Confirm Purchase</button>

					<div class="row">
                                    <div id="otpError" class="col-md-10 col-md-offset-1 col-xs-8 col-xs-offset-2 col-sm-8 col-sm-offset-2" style="color:#CDDC39;display:none;">
                                        <h3>There was an error trying to send the otp. Please try again later!</h3>
                                    </div>

                                    <div id="incorrectOtp" class="col-md-10 col-md-offset-1 col-xs-8 col-xs-offset-2 col-sm-8 col-sm-offset-2" style="color:#F44336;display:none;">
                                        <h3>The OTP you entered was incorrect or already used by you.</h3>
                                    </div>

                                    <div id="otpVerify" class="col-md-10 col-md-offset-1 col-xs-10 col-xs-offset-1 col-sm-10 col-sm-offset-1" style="display:none;">
                                        <h3>An OTP has been sent to your mobile number and email id.</h3>
                                        Enter OTP:<input class="form-control" type="text" name="otp" id="otp" value=""> 
                                        <button id='otpVerifyBtn' type="button" class="btn btn-info modal-button" onclick='verifyOtp();' style="width:auto !important;">Verify and Confirm Order</button>
                                    </div>
                                </div>

				</div>

<div id="hiddenForm" class="name">
</div>

		</center>
	</main>
	<script type="text/javascript">
		function sendOtp() {
    document.getElementById("sendOtpBtn").innerHTML = 'Please Wait...';
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function() {
        if (this.readyState == 4 && this.status == 200) {
            resp = JSON.parse(this.responseText);
            console.log(resp);
            if(resp['status'] = 'sent')
            {
                document.getElementById("otpVerify").style.display = 'block';
                
            }
            else
            {
                document.getElementById("otpVerify").style.display = 'none';
                document.getElementById("otpError").style.display = 'block';
                

            }
            document.getElementById('sendOtpBtn').innerHTML = 'Resend OTP';

    };
        }

    var url = '/litwit/sendOtp/';
    xhttp.open("GET", url, true);
    xhttp.send();
}

function verifyOtp() {
    document.getElementById('otpVerifyBtn').innerHTML = 'Verifying...';
    document.getElementById('otpVerifyBtn').disabled = true;
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function() {
        if (this.readyState == 4 && this.status == 200) {
            resp = JSON.parse(this.responseText);
            if(resp['status'] == 'Verified')
            {
                document.getElementById('otpVerifyBtn').value = 'Please Wait';
                document.getElementById("incorrectOtp").style.display = 'none';
                //redirect to success page
                var paymentOption =  document.getElementById('paymentOption').value;
                if(paymentOption == 'COD')
                {
                    //Order complete: Nothing else to do
                    //Post the id that came in response to success page
                    $('#hiddenForm').html('<form action="/litwit/orderComplete/" name="formSuccess" method="get" style="display:none;"><input type="text" name="shipmentPk" value="' + resp['id'] + '" /></form>');
                    document.forms['formSuccess'].submit();
                }
                else
                {
                    //Show razorpay payment gateway; collect payment and post the details to onlinePayment page
                    var totalAmount = 300;
                    
                    var options = {
                        "key": "rzp_test_pYkWHhZmc9XZay",
                        "amount": totalAmount, // 100 paise = INR 1
                        "name": "Litwit",
                        "description": "Litwit  Online Payment",
                        "image": "/static/images/logoBgfreesquare.png",
                        "handler": function (response){
                            //Send values to onlinePayment endpoint
                            $('#hiddenForm').html('<form action="/books/cart/onlinePayment/" name="formSuccess" method="post" style="display:none;"><input type="text" name="paymentId" value="' + response.razorpay_payment_id + '" /><input type="text" name="shipmentId" value="' + resp['id'] + '" /></form>');
                            document.forms['formSuccess'].submit();
                        },
                        "prefill": {
                            "name": "",
                            "email": ""
                        },
                        "notes": {
                            "address": ""
                        },
                        "theme": {
                            "color": "#FFD376"
                        }
                    };

                    var rzp1 = new Razorpay(options);
                    rzp1.open();
                }
            }
            else
            {
                document.getElementById("incorrectOtp").style.display = 'block';
                document.getElementById('otpVerifyBtn').value = 'Verify';
            }
            document.getElementById("sendOtpBtn").innerHTML = 'Resend OTP';
        }
    };

    var url = '/litwit/codsubscription/';
    var params = '';
    var plan =  "{{ plan.pk }}";
    var paymentOption =  document.getElementById('paymentOption').value;
   // var duration =  document.getElementById('duration').value;
    //var startDate =  document.getElementById('startDate').value;

    

    params += 'plan='+plan + '&paymentOption=' + paymentOption  ;

    xhttp.open("POST", url, true);
    xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    xhttp.send(params);
}

	</script>
	<script src="https://checkout.razorpay.com/v1/checkout.js"></script>

</body>
      {% endblock %}
